| POST | /RestApi/comments-api/comments/filter |
|---|
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| CommentKey | body | List<string> | No | |
| ThreadKey | body | List<string> | No | |
| Language | body | List<string> | No | |
| AuthorKey | body | List<string> | No | |
| Status | body | List<string> | No | |
| ThreadType | body | List<string> | No | |
| Behavior | body | List<string> | No | |
| GroupKey | body | List<string> | No | |
| Skip | body | int | No | |
| Take | body | int | No | |
| SortDescending | body | bool | No | |
| NewerThan | body | DateTime | No | |
| OlderThan | body | DateTime | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| TotalCount | form | int | No | |
| Items | form | IEnumerable<CommentResponse> | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Key | form | string | No | |
| Name | form | string | No | |
| Message | form | string | No | |
| DateCreated | form | DateTime | No | |
| ProfilePictureUrl | form | string | No | |
| ProfilePictureThumbnailUrl | form | string | No | |
| Status | form | string | No | |
| form | string | No | ||
| ThreadKey | form | string | No | |
| AuthorIpAddress | form | string | No | |
| CustomData | form | string | No | |
| Rating | form | decimal? | No |
To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json
To embed the response in a jsonp callback, append ?callback=myCallback
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
POST /RestApi/comments-api/comments/filter HTTP/1.1
Host: www.imglobal.com
Accept: application/json
Content-Type: application/json
Content-Length: length
{"CommentKey":["String"],"ThreadKey":["String"],"Language":["String"],"AuthorKey":["String"],"Status":["String"],"ThreadType":["String"],"Behavior":["String"],"GroupKey":["String"],"Skip":0,"Take":0,"SortDescending":false,"NewerThan":"\/Date(-62135596800000-0000)\/","OlderThan":"\/Date(-62135596800000-0000)\/"}
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length
{"TotalCount":0}